<?php

/*********************************************************************

 スケジュールタグクラウド表示プラグイン (2014/03/01)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_end_schedule_tagcloud()
{
	global $freo;

	//スケジュールタグ取得
	$stmt = $freo->pdo->query('SELECT id, tag FROM ' . FREO_DATABASE_PREFIX . 'plugin_schedules WHERE tag IS NOT NULL');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$schedule_tags = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		foreach (explode(',', $data['tag']) as $tag) {
			if ($tag == '') {
				continue;
			}

			if (isset($schedule_tags[$tag])) {
				$schedule_tags[$tag]++;
			} else {
				$schedule_tags[$tag] = 1;
			}
		}
	}

	ksort($schedule_tags, SORT_STRING);

	$data = '';
	foreach ($schedule_tags as $tag => $count) {
		$data .= "$tag,$count\n";
	}

	//スケジュールタグ情報更新
	if (file_put_contents(FREO_FILE_DIR . 'plugins/schedule_tagcloud.log', $data) === false) {
		freo_error('スケジュールタグ情報保存ファイル ' . FREO_FILE_DIR . 'plugins/schedule_tagcloud.log に書き込めません。');
	}

	return;
}

?>
